petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGSetGalerkin

Causes the coarser grid matrices to be computed from the finest grid via the Galerkin process: A_i-1 = r_i * A_i * p_i

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetGalerkin(PC pc,PCMGGalerkinType use)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| use | - one of PC_MG_GALERKIN_BOTH,PC_MG_GALERKIN_PMAT,PC_MG_GALERKIN_MAT, or PC_MG_GALERKIN_NONE

### Options Database Key

-pc_mg_galerkin <both,pmat,mat,none> -

### Notes

Some codes that use PCMG such as PCGAMG use Galerkin internally while constructing the hierarchy and thus do not use the PCMG construction of the coarser grids.

### See Also

PCMGGetGalerkin(), PCMGGalerkinType

### Level

intermediate

### Location

src/ksp/pc/impls/mg/mg.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html

### Implementations

PCMGSetGalerkin_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages